﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Telerik.UI.Xaml.Controls.Grid;

namespace DataGridColumnVisibility
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            Loaded += MainPage_Loaded;
        }

        private void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            MyDataGrid.ItemsSource = GetData();
        }

        private void ToggleVisibilityButton_OnClick(object sender, RoutedEventArgs e)
        {
            foreach (var column in MyDataGrid.Columns)
            {
                //just iterating over the columns and toggling their visibility
                column.IsVisible = !column.IsVisible;
            }
        }

        private static ObservableCollection<Data> GetData() => new ObservableCollection<Data>
        {
            new Data {Country = "India", Capital = "New Delhi", Visible = 1},
            new Data {Country = "South Africa", Capital = "Cape Town", Visible = 0},
            new Data {Country = "Nigeria", Capital = "Abuja", Visible = 0},
            new Data {Country = "Singapore", Capital = "Singapore", Visible = 1}
        };
    }

    public class Data
    {
        public string Country { get; set; }
        public string Capital { get; set; }
        public int Visible { get; set; }
    }
}
